Subject: Re: FP save/restore code in ppc32/ppc64 kernels

From: Peter Bergner <[email-masked]>
Date: Mon, 12 Aug 2002 09:34:30 -0500

Paul Mackerras wrote:
:> It might be a good idea to clear the fpscr after saving it out to
:> the thread struct though...
:
: Exactly.  We don't.  If we did then we could do as you say and it
: would work on SMP.  We could do that as long as we are sure we won't
: ever want to do a UP kernel on ppc64...

Or we could force the UP kernel to act like the SMP kernel and not
use lazy save.  How big of a "win" is lazy save on UP kernels?
I will also note that UP kernels haven't worked for nearly 2 years
on PPC64.

Peter

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/